commit 7e8a67e0237f8d6da6d3de7752368f3d8923d121
Author: Gaius Mulley <gaiusmod2@gmail.com>
Date:   Sun Dec 1 23:09:44 2024 +0000

    [PATCH] modula2: Tidyup remove unnecessary parameters
    
    This patch removes ununsed parameters from gm2-compiler/M2Comp.mod.
    
    gcc/m2/ChangeLog:
    
            * gm2-compiler/M2Comp.mod (GenerateDependencies): Remove
            unused parameter.
            (WriteDep): Remove parameter dep.
            (WritePhoneDep): Ditto.
    
    (cherry picked from commit 20486ec75734f3e641a3ade4297f6ba64881bca8)
    
    Signed-off-by: Gaius Mulley <gaiusmod2@gmail.com>

diff --git a/gcc/m2/gm2-compiler/M2Comp.mod b/gcc/m2/gm2-compiler/M2Comp.mod
index 719ae6641dc..1655f0c941f 100644
--- a/gcc/m2/gm2-compiler/M2Comp.mod
+++ b/gcc/m2/gm2-compiler/M2Comp.mod
@@ -226,7 +226,7 @@ END GenerateDependenciesFromList ;
                           the source code is found in sourcefile.
 *)
 
-PROCEDURE GenerateDependencies (sourcefile: String) ;
+PROCEDURE GenerateDependencies ;
 BEGIN
    IF IsDefImp (GetMainModule ())
    THEN
@@ -252,7 +252,7 @@ BEGIN
    FlushWarnings ; FlushErrors ;
    IF GetM () OR GetMM ()
    THEN
-      GenerateDependencies (s)
+      GenerateDependencies
    END ;
    IF NOT PPonly
    THEN
@@ -652,7 +652,7 @@ END ReadDepContents ;
    WriteDep - write the dependencies and target to file out.
 *)
 
-PROCEDURE WriteDep (dep: String; contents: Index; out: File) ;
+PROCEDURE WriteDep (contents: Index; out: File) ;
 VAR
    i, h: CARDINAL ;
    line: String ;
@@ -692,7 +692,7 @@ END WriteDep ;
    WritePhonyDep - write the dependencies and target to file out.
 *)
 
-PROCEDURE WritePhonyDep (dep: String; contents: Index; out: File) ;
+PROCEDURE WritePhonyDep (contents: Index; out: File) ;
 VAR
    i, h: CARDINAL ;
    line: String ;
@@ -735,10 +735,10 @@ BEGIN
       END ;
       IF IsNoError (out)
       THEN
-         WriteDep (dep, contents, out) ;
+         WriteDep (contents, out) ;
          IF GetMP ()
          THEN
-            WritePhonyDep (dep, contents, out)
+            WritePhonyDep (contents, out)
          END
       END ;
       IF GetMF () = NIL

